/** SGX

The   sss    gggg x   x   
     s      g      x x    Engine
      sss   g  gg   x
         s  g   g  x x          Copyright 1995-2008.
     ssss    gggg x   x         Steven Goodwin. All Rights Reserved.
    
This version has been released under the GNU Public License v2.0.

Please see the license files for details.

File: src/sgx/video/videoformatmanager.cpp

*/

#include "sgx/core/core.hpp"
#include "sgx/video/video.hpp"

CVideoFormatManager *CVideoFormatManager::m_pSingleton;

CVideoFormatManager	*
CVideoFormatManager::get()
{
	if (!m_pSingleton) {
		m_pSingleton = new CVideoFormatManager();
	}
	return m_pSingleton;
}

CVideoFormatManager::CVideoFormatManager() : m_Format("null")
{
	CSGXVideoManager::get()->registerObject(m_Format, this);
}

CVideoFormatManager::~CVideoFormatManager()
{
	CSGXVideoManager::get()->unregisterObject(m_Format);
}

CVideo *
CVideoFormatManager::createVideo(const sgxString &name, const CVideo::CMovieParameters &params)
{
	SGX_UNUSED(name);
	SGX_UNUSED(params);
	return NULL;
}
